Open Bug 1231788 (csp-w3c-3) Opened 4 years ago Updated 4 days ago

[meta] Implement Content Security Policy 3.0 per the W3C standard (csp-w3c-3)

Categories

(Core :: DOM: Security, enhancement, P3)

enhancement

Tracking

()

ASSIGNED

People

(Reporter: ckerschb, Assigned: ckerschb)

References

(Depends on 44 open bugs, Blocks 1 open bug, )

Details

(Keywords: meta, Whiteboard: [domsecurity-meta])

Blocks: CSP
Depends on: 1100181
Summary: Implement Content Security Policy Level 3 → (csp-w3c-3.0) Implement Content Security Policy 3.0 per the W3C standard
Depends on: 1247459
Depends on: 1247803
Depends on: 1252829
Depends on: 1218524
Depends on: 1230528
Depends on: 1236221
Depends on: 1247448
Depends on: 1249058
Depends on: 1250048
Depends on: 1250814
Depends on: 1251043
Depends on: 1251802
Depends on: 1227813
Whiteboard: [domsecurity-meta]
Keywords: meta
Depends on: 1204991
Duplicate of this bug: 1265316
Depends on: 1265318
Depends on: 1267389
Depends on: 1272034
Depends on: 896589
Depends on: 972361
Depends on: 1262842
Depends on: 1194734
Depends on: 1194970
Depends on: 1268817
Depends on: 1277248
Depends on: 1260234
Depends on: 1140266
Depends on: 1076837
Depends on: 936097
Depends on: CVE-2017-7788
Depends on: 1204414
Depends on: 1022996
Depends on: 1236222
Depends on: 1255746
Depends on: 1277557
Depends on: 913596
Depends on: 1232628
Depends on: 1178496
Depends on: 1112889
Depends on: 1251817
Depends on: 1024562
Depends on: 1242902
Depends on: 965637
Depends on: 1216830
Depends on: 1268327
Depends on: 1273430
Alias: csp-w3c-3
Summary: (csp-w3c-3.0) Implement Content Security Policy 3.0 per the W3C standard → Implement Content Security Policy 3.0 per the W3C standard (csp-w3c-3)
Depends on: 1279894
Assignee: nobody → ckerschb
Status: NEW → ASSIGNED
Depends on: 1290560
Depends on: 1297156
Depends on: 1299483
Depends on: 1302449
Depends on: 1302667
Depends on: 1302962
Depends on: 1298680
Depends on: 1309219
Depends on: 1330035
Depends on: 1330920
Depends on: 1332422
Depends on: 1346774
Depends on: 1345615
Depends on: 1355801
Depends on: 1359964
Depends on: CVE-2017-7808
Depends on: 1370468
Depends on: 1374313
Depends on: 1374612
Depends on: 1391243
Depends on: 1391244
Depends on: 1397308
Depends on: 1404438
Depends on: 1409706
Depends on: 1409200
Depends on: 1037335
Depends on: 1412271
Depends on: 1413492
Depends on: 1428703
Depends on: 1467155
Priority: -- → P3
No longer depends on: 1037335
Depends on: 1472661
Depends on: 1474537
Summary: Implement Content Security Policy 3.0 per the W3C standard (csp-w3c-3) → [meta] Implement Content Security Policy 3.0 per the W3C standard (csp-w3c-3)
Depends on: 1509504
Depends on: 1509738
Depends on: 1513623
Depends on: 1514230
Depends on: 1529068
Depends on: 1529337
Depends on: 1529338
Type: defect → enhancement
Depends on: 1551253
Depends on: 1584276
Depends on: 1579094
Depends on: 1588394
You need to log in before you can comment on or make changes to this bug.